<?php
/**
 * Plugin Name: AEA - Post Types
 * Plugin URI:
 * Description: Añade Post Types personalizados a la web de AEA
 * Version: 1.0.0
 * Author: Jhonny Gómez (JonnyGO)
 * Author URI: https://www.jhonnygo.com
 * Text Domain: aea
 */

// Seguridad
if (!defined('ABSPATH')) die();

// Registrar CPT Noticias
function aea_noticias_post_type()
{

    $labels = array(
        'name' => _x('Noticias', 'Post Type General Name', 'aea'),
        'singular_name' => _x('Noticia', 'Post Type Singular Name', 'aea'),
        'menu_name' => __('Noticias', 'aea'),
        'name_admin_bar' => __('Noticias', 'aea'),
        'archives' => __('Archivo', 'aea'),
        'attributes' => __('Atributos', 'aea'),
        'parent_item_colon' => __('Noticia Padre', 'aea'),
        'all_items' => __('Todas Las Noticias', 'aea'),
        'add_new_item' => __('Agregar Noticia', 'aea'),
        'add_new' => __('Agregar Noticia', 'aea'),
        'new_item' => __('Nueva Noticia', 'aea'),
        'edit_item' => __('Editar Noticia', 'aea'),
        'update_item' => __('Actualizar Noticia', 'aea'),
        'view_item' => __('Ver Noticia', 'aea'),
        'view_items' => __('Ver Noticias', 'aea'),
        'search_items' => __('Buscar Noticia', 'aea'),
        'not_found' => __('No Encontrado', 'aea'),
        'not_found_in_trash' => __('No Encontrado en Papelera', 'aea'),
        'featured_image' => __('Imagen Destacada', 'aea'),
        'set_featured_image' => __('Guardar Imagen destacada', 'aea'),
        'remove_featured_image' => __('Eliminar Imagen destacada', 'aea'),
        'use_featured_image' => __('Utilizar como Imagen Destacada', 'aea'),
        'insert_into_item' => __('Insertar en Noticia', 'aea'),
        'uploaded_to_this_item' => __('Agregado en Noticia', 'aea'),
        'items_list' => __('Lista de Noticias', 'aea'),
        'items_list_navigation' => __('Navegación de Noticias', 'aea'),
        'filter_items_list' => __('Filtrar Noticias', 'aea'),
    );
    $args = array(
        'label' => __('Noticia', 'aea'),
        'description' => __('Noticias para el Sitio Web', 'aea'),
        'labels' => $labels,
        'supports' => array('title', 'editor', 'thumbnail'),
        'hierarchical' => true, // true = posts, false = page
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 6,
        'menu_icon' => 'dashicons-welcome-learn-more',
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => false,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('noticias', $args);

}

function aea_modulos_post_type()
{

    $labels = array(
        'name' => _x('Modulos', 'Post Type General Name', 'aea'),
        'singular_name' => _x('Modulos', 'Post Type Singular Name', 'aea'),
        'menu_name' => __('Modulos', 'aea'),
        'name_admin_bar' => __('Modulos', 'aea'),
        'archives' => __('Archivo', 'aea'),
        'attributes' => __('Atributos', 'aea'),
        'parent_item_colon' => __('Modulo Padre', 'aea'),
        'all_items' => __('Todas Los Modulos', 'aea'),
        'add_new_item' => __('Agregar Modulo', 'aea'),
        'add_new' => __('Agregar Modulo', 'aea'),
        'new_item' => __('Nueva Modulo', 'aea'),
        'edit_item' => __('Editar Modulo', 'aea'),
        'update_item' => __('Actualizar Modulo', 'aea'),
        'view_item' => __('Ver Modulo', 'aea'),
        'view_items' => __('Ver Modulos', 'aea'),
        'search_items' => __('Buscar Modulo', 'aea'),
        'not_found' => __('No Encontrado', 'aea'),
        'not_found_in_trash' => __('No Encontrado en Papelera', 'aea'),
        'featured_image' => __('Imagen Destacada', 'aea'),
        'set_featured_image' => __('Guardar Imagen destacada', 'aea'),
        'remove_featured_image' => __('Eliminar Imagen destacada', 'aea'),
        'use_featured_image' => __('Utilizar como Imagen Destacada', 'aea'),
        'insert_into_item' => __('Insertar en Modulo', 'aea'),
        'uploaded_to_this_item' => __('Agregado en Modulo', 'aea'),
        'items_list' => __('Lista de Modulos', 'aea'),
        'items_list_navigation' => __('Navegación de Modulos', 'aea'),
        'filter_items_list' => __('Filtrar Modulos', 'aea'),
    );
    $args = array(
        'label' => __('Modulo', 'aea'),
        'description' => __('Modulos para el Sitio Web', 'aea'),
        'labels' => $labels,
        'supports' => array('title', 'editor', 'thumbnail'),
        'hierarchical' => true, // true = posts, false = page
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-archive',
        'taxonomies' => array(
            'post_tag', 'category'
        ),
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => false,
        'exclude_from_search' => false,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('modulos', $args);

}

add_action('init', 'aea_noticias_post_type', 1);
add_action('init', 'aea_modulos_post_type', 1);